import React from "react";
import { SvgCss } from "react-native-svg";

export default () => {
  
  const xml = `
    <svg width="100%" height="100%" fill="none" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid meet">
      <g clip-path="url(#clip0)">
        <rect opacity="0.6" x="-1" y="-1" width="100%" height="100%" fill="url(#paint0_radial)"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M24.7806 46.7146C11.3701 52.1692 -3.92599 54.991 -17.4622 49.8873C-31.0288 44.7722 -39.8399 32.1103 -47.1422 19.5969C-54.1431 7.60017 -57.9595 -5.68439 -57.9993 -19.5778C-58.0412 -34.1538 -56.1511 -49.253 -47.3733 -60.9063C-38.4244 -72.7868 -24.4124 -79.5203 -10.0167 -83.2786C4.30247 -87.017 19.4352 -87.2012 33.2632 -81.9586C47.1232 -76.7039 59.026 -66.9611 66.599 -54.2316C73.9796 -41.8254 76.883 -26.9552 74.4552 -12.7185C72.4621 -1.03142 64.6773 8.10324 56.9446 17.1769C55.8854 18.4197 54.8271 19.6614 53.7849 20.9084C53.1771 21.6356 52.5708 22.3652 51.9644 23.0948C44.0849 32.5759 36.192 42.0732 24.7806 46.7146ZM29.1439 147.642C44.9169 148.607 58.5389 162.541 62.6542 177.831C64.3808 184.246 59.6041 189.075 54.6444 194.089C50.4319 198.348 46.0875 202.74 45.4833 208.35C44.6927 215.691 48.3618 223.337 51.8744 230.655C56.5539 240.406 60.9555 249.577 54.1631 256.679C45.2767 265.97 31.42 258.409 18.7204 251.481C15.3749 249.655 12.1097 247.874 9.03687 246.456C6.44137 245.258 3.73416 244.117 1.00755 242.968L1.00709 242.968C-12.2934 237.361 -26.0554 231.561 -29.563 218.041C-33.7436 201.927 -21.5587 187.335 -10.8114 174.463C-10.5126 174.105 -10.215 173.749 -9.91883 173.394C0.596275 160.784 12.7769 146.642 29.1439 147.642ZM370.479 -60.2875C361.566 -69.9087 352.74 -79.4366 340.638 -78.1036C329.113 -76.8341 322.812 -66.4718 316.355 -55.8517C312.686 -49.8183 308.967 -43.7018 304.211 -39.122C300.211 -35.271 295.336 -32.3176 290.518 -29.3986C282.572 -24.5841 274.78 -19.8633 271.325 -11.3632C266.623 0.207962 269.884 12.7209 273.091 25.0276C273.761 27.5985 274.428 30.1605 275.021 32.703C275.604 35.2073 276.147 37.7346 276.691 40.2628C279.668 54.105 282.652 67.9778 292.205 78.278C304.909 91.9762 322.225 106.311 340.638 103.453C352.703 101.581 359.791 91.1478 367.015 80.5158C370.823 74.9109 374.669 69.2507 379.301 64.7603C383.171 61.0086 387.473 57.7859 391.736 54.5914C399.47 48.798 407.079 43.0974 411.765 34.5022C420.174 19.0798 428.888 0.940338 423.158 -15.6763C419.238 -27.0438 408.53 -32.9892 397.692 -39.0072C392.732 -41.7611 387.745 -44.5303 383.369 -47.8412C378.825 -51.2786 374.643 -55.7932 370.479 -60.2875Z" fill="url(#paint1_radial)"/>
      </g>
      <defs>
        <radialGradient id="paint0_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(332.434 225.875) rotate(166.924) scale(240.345 815.718)">
          <stop stop-color="#FFA787"/>
          <stop offset="1" stop-color="#FFCE99"/>
        </radialGradient>
        <radialGradient id="paint1_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(370.321 205.576) rotate(166.918) scale(308.748 1048.32)">
          <stop stop-color="#FFA787"/>
          <stop offset="1" stop-color="#FFCE99"/>
        </radialGradient>
        <clipPath id="clip0">
          <rect width="100%" height="100%" fill="white"/>
        </clipPath>
      </defs>
    </svg>   
  `;

  return (
    <SvgCss xml={xml} />
  );
}
